Bug 1316783 - sqlite3Malloc() null crash come from libtracker-sparql
sqlite3Malloc() null crash come from libtracker-sparql
Status: NEW
Product: Fedora
Classification: Fedora
Component: tracker (Show other bugs)
26
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Debarshi Ray
Fedora Extras Quality Assurance
: Reopened
: 1312868 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-10 23:41 EST by udo
Modified: 2017-11-16 22:39 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-07 06:04:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
crash bt as it is on my system (36.44 KB, text/plain)
2016-03-11 04:34 EST, udo
no flags Details
bt with sqlite debuginfos installed (92.39 KB, text/plain)
2016-03-11 04:40 EST, udo
no flags Details
Help -> Troubleshooting (8.23 KB, text/plain)
2016-03-11 05:21 EST, udo
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 768676 None None None 2016-07-11 08:38 EDT
Mozilla Foundation 1347008 None None None 2017-03-15 06:29 EDT

  None (edit)
Description udo 2016-03-10 23:41:44 EST
Description of problem:
thunderbird 38.6.0-3 or newer crashes on startup, per haps due to the recent sqlite fix

Version-Release number of selected component (if applicable):
38.6.0-3

How reproducible:
Start thunderbird

Actual results:
Crash

Expected results:
Flawless startup of thunderbird

Additional info:
see https://bugzilla.redhat.com/show_bug.cgi?id=1311032
Comment 1 Martin Stransky 2016-03-11 04:20:27 EST
Please attach a backtrace of the crash, how to is here:

http://fedoraproject.org/wiki/Debugging_guidelines_for_Mozilla_products#Application_crash
Comment 2 udo 2016-03-11 04:29:23 EST
The info at the url needs correction: `debuginfo-install thunderbird` needs to be `dnf debuginfo-install thunderbird` on my system.

Also, for the debuginfo:

Total download size: 788 M
Installed size: 3.3 G

I do not think this is normal.
Comment 3 Martin Stransky 2016-03-11 04:32:34 EST
Yes, that's okay because the debuginfo pakages are huge.

Also, please try new profile (thunderbird -ProfileManager -no-remote) and safe mode (thunderbird -safe-mode).
Comment 4 udo 2016-03-11 04:34 EST
Created attachment 1135159 [details]
crash bt as it is on my system

bt without installation of GB's of debuginfos
Comment 5 udo 2016-03-11 04:40 EST
Created attachment 1135166 [details]
bt with sqlite debuginfos installed
Comment 6 udo 2016-03-11 04:49:41 EST
(In reply to Martin Stransky from comment #3)
> Also, please try new profile (thunderbird -ProfileManager -no-remote) and
> safe mode (thunderbird -safe-mode).

safe-mode makes thunderbird start OK.
Now I need to find out which addon is the cause.
Comment 7 udo 2016-03-11 04:53:41 EST
when I enabled trackerbird addon thunderbird crashed again.
Comment 8 Martin Stransky 2016-03-11 05:14:45 EST
Hm, that looks weird. Thread 0x7fffbf43b700 does not look ok to me, ends in sqlite3Malloc() and null. But that seems to come from  libtracker-sparql/tracker not thunderbird.

Can you please attach a troubleshooting info? It's in Help -> Troubleshooting info and please attach the plain text version.
Comment 9 udo 2016-03-11 05:21 EST
Created attachment 1135192 [details]
Help -> Troubleshooting
Comment 10 udo 2016-03-11 05:23:32 EST
(In reply to Martin Stransky from comment #8)
> Hm, that looks weird. Thread 0x7fffbf43b700 does not look ok to me, ends in
> sqlite3Malloc() and null. But that seems to come from 
> libtracker-sparql/tracker not thunderbird.

Indeed, disabling tracker addon in thunderbird enables me to run 36.6.0-3 or newer.
Comment 11 udo 2016-03-11 05:23:54 EST
*38*.6.0-3 or newer that is
Comment 12 Martin Stransky 2016-03-11 05:27:59 EST
The tracker uses system sqlite which causes the problem.
Comment 13 Igor Gnatenko 2016-07-07 06:04:03 EDT
F22 is getting EOLed in 2 weeks, so not going to fix this, sorry.
Comment 14 Debarshi Ray 2016-07-07 14:15:38 EDT
Comment 12 makes me think that this is still relevant.
Comment 15 Debarshi Ray 2016-07-11 08:13:03 EDT
*** Bug 1312868 has been marked as a duplicate of this bug. ***
Comment 16 Jan Kurik 2016-07-26 00:12:17 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 17 Igor Gnatenko 2016-11-19 13:29:53 EST
(In reply to Debarshi Ray from comment #14)
> Comment 12 makes me think that this is still relevant.
any news?
Comment 18 udo 2016-11-20 00:24:45 EST
Still happening.
Comment 19 Matěj Cepl 2017-03-15 06:31:22 EDT
Reproduceable for me with thunderbird-45.8.0-1.fc25.x86_64
Comment 20 Debarshi Ray 2017-03-15 08:19:20 EDT
(In reply to Igor Gnatenko from comment #17)
> (In reply to Debarshi Ray from comment #14)
> > Comment 12 makes me think that this is still relevant.
> any news?

The only news in this case is going to be getting rid of tracker's thunderbird subpackage from Fedora. I dropped the firefox subpackage recently. Haven't gotten around to thunderbird, yet. Feel free to do it. :)

It is there purely as a proof-of-concept. Nothing was designed to actually use it, nobody tests it or cares about it otherwise. It might even get dropped from upstream tracker. See the GNOME bug.
Comment 21 Wayne Mery (:wsmwk) 2017-03-27 21:06:27 EDT
> The only news in this case is going to be getting rid of tracker's thunderbird subpackage from Fedora. I dropped the firefox subpackage recently. Haven't gotten around to thunderbird, yet. Feel free to do it. :)

Glad to hear of this.
Comment 22 Fedora End Of Life 2017-11-16 13:55:25 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.